relaxngcc.datatype

## Class Macro.Variable

- java.lang.Object
- - relaxngcc.datatype.Macro.Variable

Enclosing class:
  Macro

    public static final class Macro.Variable
    extends java.lang.Object

Variable.

### Constructor Summary

Constructors
Constructor and Description
`Macro.Variable(java.lang.String _name, org.xml.sax.Locator loc)`

### Method Summary

Methods
`java.lang.String` `toString(java.util.Map dictionary)` Replaces this token with its definition in the dictionary file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Macro.Variable

    public Macro.Variable(java.lang.String _name,
                  org.xml.sax.Locator loc)

Parameters:
  `_name` - variable name.
  `loc` - Location of the occurence of this variable. used for error messages.

### Method Detail

#### toString

    public java.lang.String toString(java.util.Map dictionary)
                              throws NoDefinitionException

Replaces this token with its definition in the dictionary file.

Throws:
  `NoDefinitionException`